<template>
  <div class="articles">
    <div class="d-flex align-center my-lg-5 my-md-3">
      <div class="articles-title __title">Статьи</div>
      <v-btn
        color="primary"
        elevation="2"
        raised
        class="ml-auto"
      >
        Добавить статью
        <v-icon color="#fff">mdi-plus</v-icon>
      </v-btn>
    </div>
    <div class="articles-wrap">
      <section class="table">
        <div class="table-wrap">
          <table style="padding-left: 50px">
            <tr>
              <th>
                Название
                <div class="icon-wrap">
                  <img src="../../assets/img/general/menu-up.svg" alt="">
                  <img src="../../assets/img/general/menu-down.svg" alt="">
                </div>
                <div class="input-container">
                  <v-menu
                    bottom
                    offset-y
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <input type="text"
                             v-bind="attrs"
                             v-on="on"
                      >
                    </template>
                    <v-list>
                      <v-list-item
                        v-for="(item, i) in items"
                        :key="i"
                        @click="() => {}"
                      >
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                      </v-list-item>
                    </v-list>
                  </v-menu>
                </div>
              </th>
              <th>
                Тип
                <div class="icon-wrap">
                  <img src="../../assets/img/general/menu-up.svg" alt="">
                  <img src="../../assets/img/general/menu-down.svg" alt="">
                </div>
                <div class="input-container">
                  <v-menu
                    bottom
                    offset-y
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <input type="text"
                             v-bind="attrs"
                             v-on="on"
                      >
                    </template>
                    <v-list>
                      <v-list-item
                        v-for="(item, i) in items"
                        :key="i"
                        @click="() => {}"
                      >
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                      </v-list-item>
                    </v-list>
                  </v-menu>
                </div>
              </th>
              <th>
                Ссылка
                <div class="icon-wrap">
                  <img src="../../assets/img/general/menu-up.svg" alt="">
                  <img src="../../assets/img/general/menu-down.svg" alt="">
                </div>
                <div class="input-container input-select">
                  <v-menu
                    bottom
                    offset-y
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <div
                        disabled
                        v-bind="attrs"
                        v-on="on"
                      ></div>
                    </template>
                    <v-list>
                      <v-list-item
                        v-for="(item, i) in items"
                        :key="i"
                        @click="() => {}"
                      >
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                      </v-list-item>
                    </v-list>
                  </v-menu>
                </div>
              </th>
              <th>
                Добавлен
                <div class="icon-wrap">
                  <img src="../../assets/img/general/menu-up.svg" alt="">
                  <img src="../../assets/img/general/menu-down.svg" alt="">
                </div>
                <div class="input-container">
                  <v-menu
                    bottom
                    offset-y
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <input type="text"
                             v-bind="attrs"
                             v-on="on"
                      >
                    </template>
                    <v-list>
                      <v-list-item
                        v-for="(item, i) in items"
                        :key="i"
                        @click="() => {}"
                      >
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                      </v-list-item>
                    </v-list>
                  </v-menu>
                </div>
              </th>
              <th>
                Изменения
                <div class="icon-wrap">
                  <img src="../../assets/img/general/menu-up.svg" alt="">
                  <img src="../../assets/img/general/menu-down.svg" alt="">
                </div>
                <div class="input-container">
                  <v-menu
                    bottom
                    offset-y
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <input type="text"
                             v-bind="attrs"
                             v-on="on"
                      >
                    </template>
                    <v-list>
                      <v-list-item
                        v-for="(item, i) in items"
                        :key="i"
                        @click="() => {}"
                      >
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                      </v-list-item>
                    </v-list>
                  </v-menu>
                </div>
              </th>
            </tr>
            <tr>
              <td>Афанасий, фары</td>
              <td>Евгений Шельмин</td>
              <td>websitedomain.ru</td>
              <td><a href="tel:+79991234567">79991234567</a><br>
                <a href="mailto:afanasiy@domain.com">afanasiy@domain.com</a></td>
              <td>Санкт-Петербург</td>
              <td>
                <img src="../../assets/img/general/show.svg" alt="" title="Просмотр" @click="showUser = true">
                <img src="../../assets/img/general/urn.svg" alt="" title="Удалить">
              </td>
            </tr>
          </table>
        </div>
        <div class="table-footer">
          <v-row class="align-center table-footer-wrap">
            <v-col cols="3" >Записи с 1 по 10 из 56</v-col>
            <v-col cols="2" class="d-flex align-center">
              Выводить по
              <div
                :class="{'_active': select}"
                class="select-wrap"
              >
                <select @click="select = !select" name="" id="">
                  <option value="10">10</option>
                  <option value="15">15</option>
                  <option value="20">20</option>
                </select>
              </div>
            </v-col>
            <v-col cols="7">
              <div class="text-center float-right">
                <div class="pagination">
                  <ul>
                    <li><v-icon>mdi-chevron-left</v-icon></li>
                    <li>1</li>
                    <li>2</li>
                    <li>3</li>
                    <li><v-icon>mdi-chevron-right</v-icon></li>
                  </ul>
                </div>
              </div>
            </v-col>
          </v-row>
        </div>
      </section>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Articles',
  data () {
    return {
      showUser: false,
      items: [
        {
          title: 'Петя'
        },
        {
          title: 'Васья'
        },
        {
          title: 'Люда'
        },
        {
          title: 'Зина'
        }
      ],
      tags: [
        {
          title: 'Новый', color: '#D6D6D6'
        },
        {
          title: 'Получен контакт', color: '#FFAD62'
        },
        {
          title: 'Жду материалы', color: '#8763F0'
        },
        {
          title: 'Передант в регион', color: '#F9E74D'
        },
        {
          title: 'В работе', color: '#3183FF'
        }
      ],
      select: false,
      page: 1
    }
  }
}
</script>

<style scoped lang="scss">
</style>
